Bug 989532 - Dist-geo-rep : After add-brick ,no working_dir created for the added bricks
Dist-geo-rep : After add-brick ,no working_dir created for the added bricks
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Avra Sengupta
:
Depends On: 984942 985236
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 09:12 EDT by Avra Sengupta
Modified: 2014-07-11 15:17 EDT (History)
9 users (show)

See Also:
Fixed In Version: glusterfs-3.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 985236
Environment:
Last Closed: 2014-07-11 15:17:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-07-29 09:16:44 EDT
REVIEW: http://review.gluster.org/5416 (glusterd : initiating gsyncd restart during add-brick) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 2 Anand Avati 2013-07-29 09:21:44 EDT
REVIEW: http://review.gluster.org/5416 (glusterd : initiating gsyncd restart during add-brick) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 3 Anand Avati 2013-07-29 09:41:59 EDT
REVIEW: http://review.gluster.org/5416 (glusterd : initiating gsyncd restart during add-brick) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 4 Anand Avati 2013-07-31 03:39:12 EDT
REVIEW: http://review.gluster.org/5416 (glusterd : initiating gsyncd restart during add-brick) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 5 Anand Avati 2013-07-31 12:17:37 EDT
COMMIT: http://review.gluster.org/5416 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 031b69fc7b2f26d07113aabec95662816adfad86
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Fri Jul 26 21:45:22 2013 +0530

    glusterd : initiating gsyncd restart during add-brick
    
    During add-brick, when a new brick is added in one of the
    nodes that was already a part of the existing volume, and
    gsyncd was already running on that node, then all gsyncd
    processes running on that node, for that particular master
    and any slave sessions will be restarted
    
    If a new brick is added in a new node, then after adding the
    brick, the user has to perform the following steps:
    
    1. gluster system:: execute gsec_create
    2. gluster volume geo-replication <master-vol> <slave-vol> create push-pem force
    3. gluster volume geo-replication <master-vol> <slave-vol> start force
    
    Change-Id: I4b9633e176c80e4a7cf33f42ebfa47ab8fc283f1
    BUG: 989532
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/5416
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.